
if not Global.level_data then return end
if Global.level_data.level_id ~= "mafia_bank" then return end

Hooks:PostHook(BlackMarketTweakData, "_init_player_styles", "mafia_suit", function(self)
	
	local body_replacement_standard = {
		head = false,
		armor = true,
		body = true,
		hands = true,
		vest = true,
		arms = true
	}
	
	self.player_styles.mafia = {
		custom = true,
		unlocked = true,
		name_id = "MAFIA",
		desc_id = "mafia_description",
		texture_bundle_folder = "trd",
		body_replacement = body_replacement_standard,
		third_body_replacement = body_replacement_standard,
		unit = "units/pd2_dlc_in32/characters/in32_acc_gangstercoat/in32_acc_fps_gangstercoat/in32_acc_fps_gangstercoat",
		material = "units/pd2_dlc_in32/characters/in32_acc_gangstercoat/shared_materials/in32_acc_gangstercoat_fps_irish",
		third_unit = "units/pd2_dlc_trd/characters/trd_acc_jumpsuits/trd_acc_mafia/trd_acc_mafia"
	}
	
end)

Hooks:PostHook(BlackMarketTweakData, "_init_gloves", "mafia_gloves", function(self, tweak_data)
	
	self.suit_default_gloves.mafia = "desperado"
end)
